classification
Title: Add version changed notes for OpenSSL 1.1.0 compatibility
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: christian.heimes, docs@python, miss-islington, ncoghlan, storymode7
Priority: normal Keywords: easy, patch

Created on 2017-08-16 05:17 by ncoghlan, last changed 2018-06-09 01:29 by ncoghlan. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7346 merged storymode7, 2018-06-02 19:13
PR 7525 merged miss-islington, 2018-06-08 10:02
PR 7526 merged miss-islington, 2018-06-08 10:03
PR 7541 merged storymode7, 2018-06-08 18:30
Messages (7)
msg300326 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2017-08-16 05:17
https://bugs.python.org/issue26470 updated the ssl and hashlib modules in 2.7 and 3.5+ to be compatible with OpenSSL 1.1.0.

However, it's currently unclear what the *minimum* versions actually are for platforms that want to drop support for OpenSSL 1.0.x, and it's particularly unclear in 2.7, as that lacks the deprecation warning for OpenSSL 0.9.8, 1.0.0 and 1.0.1 that was introduced in Python 3.6.

This doesn't rise to the level of something to be documented as a new feature in the 2.7 What's New, but I think a version changed note in the opening section of the `ssl` module documentation would be appropriate:

2.7 branch:

    .. versionchanged: 2.7.13
       Updated to support linking with OpenSSL 1.1.0

3.6 and master branches (immediately before the 3.6 deprecation notice):

    .. versionchanged: 3.5.3
       Updated to support linking with OpenSSL 1.1.0
msg300331 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2017-08-16 08:01
+1

For reference, Python 3.5 received OpenSSL 1.1.0 support in 3.5.3.
msg318456 - (view) Author: Mayank Singhal (storymode7) * Date: 2018-06-01 19:49
Hey, I'll take this up.
msg318759 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-06-05 14:14
New changeset 9ef1b0690b90c526798b6b3125b0fa7ae98319a2 by Nick Coghlan (Mayank Singhal) in branch 'master':
bpo-31215: Add version changed notes for OpenSSL 1.1.0 compatibility (GH-7346)
https://github.com/python/cpython/commit/9ef1b0690b90c526798b6b3125b0fa7ae98319a2
msg319044 - (view) Author: miss-islington (miss-islington) Date: 2018-06-08 10:22
New changeset a0accc0f8e747145a3ee36b91338777bc94b3348 by Miss Islington (bot) in branch '3.6':
bpo-31215: Add version changed notes for OpenSSL 1.1.0 compatibility (GH-7346)
https://github.com/python/cpython/commit/a0accc0f8e747145a3ee36b91338777bc94b3348
msg319045 - (view) Author: miss-islington (miss-islington) Date: 2018-06-08 10:22
New changeset d16d72f555447fbedacdc01bb14f380afca705ae by Miss Islington (bot) in branch '3.7':
bpo-31215: Add version changed notes for OpenSSL 1.1.0 compatibility (GH-7346)
https://github.com/python/cpython/commit/d16d72f555447fbedacdc01bb14f380afca705ae
msg319129 - (view) Author: Nick Coghlan (ncoghlan) * (Python committer) Date: 2018-06-09 01:29
Merged for 2.7 in https://github.com/python/cpython/commit/458ed1b237150f5c59b6ab3e1a5241a672ac8cbd

Thank you for the PRs, Mayank!
History
Date User Action Args
2018-06-09 01:29:20ncoghlansetstatus: open -> closed
resolution: fixed
messages: + msg319129

stage: patch review -> resolved
2018-06-08 18:30:44storymode7setpull_requests: + pull_request7176
2018-06-08 10:22:42miss-islingtonsetmessages: + msg319045
2018-06-08 10:22:41miss-islingtonsetnosy: + miss-islington
messages: + msg319044
2018-06-08 10:03:09miss-islingtonsetpull_requests: + pull_request7155
2018-06-08 10:02:12miss-islingtonsetpull_requests: + pull_request7154
2018-06-05 14:14:47ncoghlansetmessages: + msg318759
2018-06-02 19:13:03storymode7setkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request6972
2018-06-01 19:49:10storymode7setnosy: + storymode7
messages: + msg318456
2018-02-05 18:36:28cheryl.sabellasetkeywords: + easy
versions: + Python 3.8
2017-08-16 08:01:23christian.heimessetmessages: + msg300331
2017-08-16 05:17:39ncoghlancreate